Bug 412902 - "Size" is not immediately updated after I paste items into a folder via the context menu
Summary: "Size" is not immediately updated after I paste items into a folder via the c...
Status: REOPENED
Alias: None
Product: dolphin
Classification: Applications
Component: panels: information (show other bugs)
Version: 21.12.1
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-13 12:22 UTC by Patrick Silva
Modified: 2022-01-15 16:32 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-10-13 12:22:44 UTC
1. open Dolphin
2. if information panel is not enabled, press F11 to do it
3. copy some files/folders
4. create a new folder
5. right click on the new folder, select "Paste X items"

OBSERVED RESULT
Information Panel is still showing "Size: 0 items" for the new folder
until you hover over another item and hover over the new folder.

EXPECTED RESULT
"Size" in Information Panel should be immediately updated after we paste
the files/folders.

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.17.80
KDE Frameworks Version: 5.64.0
Qt Version: 5.13.1
Comment 1 Patrick Silva 2021-03-08 13:58:42 UTC
Still an issue.

1. open Dolphin
2. if information panel is not enabled, press F11 to do it
3. copy some files/folders
4. create a new folder and open it
5. create a new folder again
6. right click on the folder created in the step 5, select "Paste X items"

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.21.80
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 2 Méven Car 2021-04-24 09:00:36 UTC
Git commit 6cec386192e58089b4572996a265c9696cdcb3c0 by Méven Car.
Committed on 24/04/2021 at 09:00.
Pushed by meven into branch 'master'.

InformationPanel: Allow to refresh the panel when its displayed content changes
Related: bug 430095
FIXED-IN: 21.08

M  +4    -1    src/dolphinmainwindow.cpp
M  +10   -1    src/dolphinmainwindow.h
M  +14   -0    src/kitemviews/kfileitemmodel.cpp
M  +6    -0    src/kitemviews/kfileitemmodel.h
M  +10   -0    src/panels/information/informationpanel.cpp
M  +2    -0    src/panels/information/informationpanel.h
M  +1    -0    src/views/dolphinview.cpp
M  +2    -0    src/views/dolphinview.h

https://invent.kde.org/system/dolphin/commit/6cec386192e58089b4572996a265c9696cdcb3c0
Comment 3 Patrick Silva 2021-05-04 10:53:01 UTC
it's still reproducible on neon unstable.